package com.company.demo.view.atmosphere;

import com.company.demo.entity.Atmosphere;
import com.company.demo.view.main.MainView;
import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.EditedEntityContainer;
import io.jmix.flowui.view.StandardDetailView;
import io.jmix.flowui.view.ViewController;
import io.jmix.flowui.view.ViewDescriptor;

@Route(value = "atmospheres/:id", layout = MainView.class)
@ViewController("Atmosphere.detail")
@ViewDescriptor("atmosphere-detail-view.xml")
@EditedEntityContainer("atmosphereDc")
public class AtmosphereDetailView extends StandardDetailView<Atmosphere> {
}