package com.company.demo.view.atmosphere;

import com.company.demo.entity.Atmosphere;
import com.company.demo.view.main.MainView;
import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.*;


@Route(value = "atmospheres", layout = MainView.class)
@ViewController("Atmosphere.list")
@ViewDescriptor("atmosphere-list-view.xml")
@LookupComponent("atmospheresDataGrid")
@DialogMode(width = "64em")
public class AtmosphereListView extends StandardListView<Atmosphere> {
}